App cannot be accessed - Article Fetcher error 666
Closed, ResolvedPublic

Description

  1. Launch App
  2. Go to 'Fatehpur Sikri' Article
  3. See the article in arabic using the language picker
  4. Scroll all the way down to 'Read More'
  5. Tap on a link in Read more, it will take you to another article in Arabic Wikipedia/
  6. Now on this new article scroll all the way down to read more and tap on a link
  7. See Article Fetcher error. (Repeat step 6 one or two times if you don't see it)

When I hit this error, I can go back using the tab bar.
Read more does not work when you hit this error, tapping anywhere in it will do nothing.

Quitting the app:
Error persist.

The only option is to re-download the app from the app store.

Vibhabamba updated the task description. (Show Details)
Vibhabamba raised the priority of this task from to Needs Triage.
Vibhabamba assigned this task to Fjalapeno.
Vibhabamba added a subscriber: Vibhabamba.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 8:40 PM
Fjalapeno removed Fjalapeno as the assignee of this task.Jul 22 2015, 2:11 PM
Fjalapeno added a subscriber: Fjalapeno.
Vibhabamba added a subscriber: Mhurd.

Adding @Mhurd and @bgerstle because they both worked on this.

When I hit this error, I can go back using the tab bar.
Read more does not work when you hit this error, tapping anywhere in it will do nothing.

Also adding error handling as part of fixing this, so if the user did get an error, they would see the underlying API error:

Checked with 4.1.7.171(release candidate) beta on iPad mini iOS 8.2.
T102643 presented the same issue.

'Fatehpur Sikri' was checked with Urdu and Persian languages.

Note: 'Fatehpur Sikri' does not exist in Arabic (https://www.wikidata.org/wiki/Q179046)

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 27 2016, 7:09 PM
MBinder_WMF closed this task as Resolved.Feb 8 2016, 7:32 PM